### Method

# Gdk Dropget_actions

#### Declaration [src]

    GdkDragAction
    gdk_drop_get_actions (
      GdkDrop* self
    )

#### Description [src]

Returns the possible actions for this `GdkDrop`.

If this value contains multiple actions - i.e. `gdk_drag_action_is_unique()` returns `FALSE` for the result - `gdk_drop_finish()` must choose the action to use when accepting the drop. This will only happen if you passed `GDK_ACTION_ASK` as one of the possible actions in `gdk_drop_status()`. `GDK_ACTION_ASK` itself will not be included in the actions returned by this function.

This value may change over the lifetime of the `GdkDrop` both as a response to source side actions as well as to calls to `gdk_drop_status()` or `gdk_drop_finish()`. The source side will not change this value anymore once a drop has started.

Gets property | `Gdk.Drop:actions`

#### Return value

Type: `GdkDragAction`

The possible `GdkDragActions`